define({"0":{y:0,u:"../Content/part_overview.htm",l:-1,t:"Overview of Viewing SDK",i:0.0010738043882404,a:"Overview of Viewing SDK This section provides a general overview of Micro Focus KeyView Viewing SDK and a description of the sample programs, and includes the following chapters: Introduction to Viewing SDK Getting Started"},"1":{y:0,u:"../Content/Introduction/intro_viewing.htm",l:-1,t:"Introduction to Viewing SDK",i:0.00153017405351426,a:"Introduction to Viewing SDK This guide is for developers who incorporate Micro Focus KeyView Viewing SDK components into their own applications. It is intended for readers who are familiar with Windows programming."},"2":{y:0,u:"../Content/Introduction/Overview.htm",l:-1,t:"Overview",i:0.0010738043882404,a:"The  Viewing SDK is part of the Micro Focus KeyView suite of products. KeyView provides high-speed text extraction, conversion to web-ready HTML and well-formed XML, and high-fidelity document viewing. The Viewing SDK enables you to build high-fidelity document viewing capabilities into your own ..."},"3":{y:0,u:"../Content/Introduction/Features.htm",l:-1,t:"Features",i:0.0010738043882404,a:"With Viewing SDK, you can create an application by using the Viewing API or the Viewing ActiveX control to: View and print documents. Convert popular word processing and spreadsheet formats to text, Microsoft Rich Text Format (RTF), and HTML.  Annotate, highlight, and filter documents. Generate ..."},"4":{y:0,u:"../Content/Introduction/Viewing_SDK_Visual_Basic.htm",l:-1,t:"Viewing SDK and Visual Basic",i:0.0010738043882404,a:"Viewing SDK and  Visual Basic The Viewing ActiveX control is ideally suited for developing Visual Basic® applications with viewing, conversion, and printing capabilities. The control provides most of the functionality of the Viewing Windows messaging API, but in the form of an ActiveX control that ..."},"5":{y:0,u:"../Content/Introduction/Platforms_Compilers_Dependencies.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.0010738043882404,a:"This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software. Supported Platforms Microsoft Windows Server 2019 x64 Microsoft Windows Server 2016 x64 Microsoft Windows Server 2012 x64 Microsoft Windows 10 x64 Microsoft Windows 8 x86 and x64 ..."},"6":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.0010738043882404,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"7":{y:0,u:"../Content/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.0010738043882404,a:"The Viewing SDK installation contains: Dynamic Link Library files and executable files necessary for viewing text from a wide variety of formats. Several  sample programs that demonstrate Viewing SDK functionality. See  Viewing API Sample Programs  and  Control Sample Programs . The following  files ..."},"8":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0138400820228488,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"9":{y:0,u:"../Content/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.0010738043882404,a:"Viewing SDK creates the following directory structure during installation. The variable install refers to the  installation directory. By default, the installation directory is C:\\Program Files\\Autonomy\\KeyViewViewingSDK. The variable OS is the operating system for which the SDK is installed. For ..."},"10":{y:0,u:"../Content/GettingStarted/start.htm",l:-1,t:"Getting Started",i:0.00153017405351426,a:"Getting Started This section provides information on developing and deploying Viewing applications. It includes the following topics:"},"11":{y:0,u:"../Content/GettingStarted/Before_You_Begin.htm",l:-1,t:"Before You Begin",i:0.0010738043882404,a:"Before you use Viewing SDK to build your own programs, review and run the sample programs provided with the product. Micro Focus recommends that you review the hellovapi sample program first. It is a simple program that demonstrates how to use the Viewing API to display documents within your ..."},"12":{y:0,u:"../Content/GettingStarted/View_Initialization_Information.htm",l:-1,t:"View Initialization Information",i:0.0144158014728551,a:"Viewing uses initialization information for its internal operations, for example, to determine which components to load. You can store this information either in an initialization file or in the Windows registry.  The  initialization file is called  kvsdk.ini and is stored in the Windows system ..."},"13":{y:0,u:"../Content/GettingStarted/Deploy_Viewing_API_Applications.htm",l:-1,t:"Deploy Viewing API Applications",i:0.0010738043882404,a:"Deploy Viewing  API Applications After you have built an application with the Viewing API, you must do the following: Install all required files to the \\bin directory of your application\u0027s installation directory.  List of Files Required for Redistribution  lists the components that must be ..."},"14":{y:0,u:"../Content/GettingStarted/Deploy_ActiveX_Control_Applications.htm",l:-1,t:"Deploy ActiveX Control Applications",i:0.0010738043882404,a:"After you have built an application with Viewing ActiveX control, you must do the following: Install all required files to the \\bin directory of your application\u0027s installation directory.  List of Files Required for Redistribution  lists the components that must be redistributed with your ..."},"15":{y:0,u:"../Content/GettingStarted/Develop_NET_Applications.htm",l:-1,t:"Develop .NET Applications",i:0.00381202237988357,a:"This section describes how to create and deploy a .NET application by using the KeyView ActiveX Control. Although you can develop .NET applications in many different development environments, the instructions in this section refer to Microsoft Visual Studio 2005.  To create and deploy a .NET ..."},"16":{y:0,u:"../Content/part_API.htm",l:-1,t:"Viewing API",i:0.0010738043882404,a:"Viewing API This section describes the Viewing API and provides detailed reference information and includes the following chapters: Use the Viewing API Viewing API Sample Programs Message Parameters Notification Message Parameters Structures"},"17":{y:0,u:"../Content/UseViewingAPI/using_view_api.htm",l:-1,t:"Use the Viewing API",i:0.00125635225434995,a:"Use the Viewing API This section describes how to use the Viewing API to perform some basic viewing tasks. "},"18":{y:0,u:"../Content/UseViewingAPI/Overview_of_the_Viewing_API.htm",l:-1,t:"Overview of the Viewing API",i:0.0010738043882404,a:"Overview of the  Viewing API The Viewing API (VAPI) enables you to build a Windows program that uses Viewing components to manage many types of document, including word processing, spreadsheet, presentation, and graphics. See  Document Readers  for more information on supported formats. You can use ..."},"19":{y:0,u:"../Content/UseViewingAPI/Create_a_Viewing_API_Window.htm",l:-1,t:"Create a Viewing API Window",i:0.00336690430082413,a:"You must create a new VAPI window for each document that you open; each VAPI window manages only one document at a time.  You can create multiple VAPI windows to handle multiple documents simultaneously. After you create a VAPI window, you can use the Viewing API to manage the document by sending ..."},"20":{y:0,u:"../Content/UseViewingAPI/Open_and_View_a_Document.htm",l:-1,t:"Open and View a Document",i:0.00772163346436778,a:"Open  and View a Document Because a document must be opened before it can be viewed, printed, saved, or can have any other operation performed on it, viewing a document in the Viewing API means to open and view a document. It is possible, however, to open a document  without viewing it, or in other ..."},"21":{y:0,u:"../Content/UseViewingAPI/Save_a_Document.htm",l:-1,t:"Save a Document",i:0.00176380864622044,a:"Save  a Document To save a document Open the document. See  Open and View a Document . To make sure that the entire document is opened before the document is saved, open the document with the  bWait member in the  TPVAPIOpenDocumentInfo  structure set to TRUE.  To save a document without viewing it, ..."},"22":{y:0,u:"../Content/UseViewingAPI/Convert_a_Document.htm",l:-1,t:"Convert a Document",i:0.00176380864622044,a:"To convert a document to text, RTF, or HTML Open the document. See  Open and View a Document . To make sure that the entire document is opened before the document is saved, open the document with the  bWait member in the  TPVAPIOpenDocumentInfo  structure set to TRUE.  To save a document without ..."},"23":{y:0,u:"../Content/UseViewingAPI/Print_a_Document.htm",l:-1,t:"Print a Document",i:0.0010738043882404,a:"The  prntdemo  sample program demonstrates how to print by using the Viewing API.  To print a document Open the document. See  Open and View a Document . To make sure that the entire document is opened before the document is printed, open the document with the  bWait member in the  ..."},"24":{y:0,u:"../Content/UseViewingAPI/Change_the_Print_Job_Name.htm",l:-1,t:"Change the Print Job Name",i:0.0010738043882404,a:"You can change the print job name in the kvsdk.ini file. The printer uses the print job name for all documents printed from KeyView Viewing SDK. To change the print job name Open the kvsdk.ini file with a text editor. The file is installed in the root of the Windows directory. In the [Settings] ..."},"25":{y:0,u:"../Content/UseViewingAPI/Determine_the_Document_Format.htm",l:-1,t:"Determine the Document Format",i:0.0010738043882404,a:"To determine a document format Open the document. See  Open and View a Document . To get format information without viewing the document, set the  VAPIDF_FLAGS_OPEN_VAPI_ONLY flag in the nFlags member of the TPVAPIOpenDocumentInfo structure.  To quickly determine a document\u0027s format, regardless of ..."},"26":{y:0,u:"../Content/UseViewingAPI/Extract_Document_Metadata.htm",l:-1,t:"Extract Document Metadata",i:0.0010738043882404,a:"Extract Document Metadata To extract metadata  from a document, use  the  VAPIM_GETSUMMARYINFO  message."},"27":{y:0,u:"../Content/UseViewingAPI/Change_Document_Options.htm",l:-1,t:"Change Document Options",i:0.0176561086338747,a:"Change  Document Options Document options control display elements such as window size, zoom settings, margin size, and scaling. Options are defined for each file type category (for example, spreadsheets, multimedia, and word processing). The document options only apply to the current document and ..."},"28":{y:0,u:"../Content/UseViewingAPI/Annotate_Highlight_or_Index_Doc.htm",l:-1,t:"Annotate, Highlight, or Index a Document",i:0.0010738043882404,a:"Annotate , Highlight , or Index  a Document Use the  VAPIM_ENABLEINDEX   message to enable  index-only mode. This generates text buffer (VAPINM_TEXTBUFFER) notification messages with document viewing disabled.  To specify the character set for the returned text buffer, use  VAPIM_SETINDEXBUFCHARSET ..."},"29":{y:0,u:"../Content/UseViewingAPI/Draw_a_Page.htm",l:-1,t:"Draw a Page",i:0.00668646389120353,a:"Draw a  Page into a Supplied Device Context Use the  VAPIMWP_DRAW_INIT   parameter of the VAPIM_DRAW message to initialize the drawing routine in VAPI. You must send this parameter before you open the document by using the VAPIMWP_INIT_OPEN_DOCUMENT message. To get the number of pages in a document, ..."},"30":{y:0,u:"../Content/UseViewingAPI/Edit_a_Document.htm",l:-1,t:"Edit a Document",i:0.0010738043882404,a:"Search  for Text To determine whether a document can be searched, use the VAPIMWP_EDIT_CANFIND message. See  VAPIMWP_EDIT_CANFIND  . To search  a document for the specified text, use the VAPIMWP_EDIT_FIND message. See  VAPIMWP_EDIT_FIND  . To get the currently selected text in a document, use the ..."},"31":{y:0,u:"../Content/UseViewingAPI/Modify_the_Document_View.htm",l:-1,t:"Modify the Document View",i:0.0010738043882404,a:"Change  the Layout of a Document To determine whether the layout of a document can be changed, use the  VAPIMWP_VIEW_CANLAYOUT  message. To get the current layout of a document, use the  VAPIMWP_VIEW_GETLAYOUT  message. To set the layout of a document, use the   VAPIMWP_VIEW_SETLAYOUT   message. ..."},"32":{y:0,u:"../Content/UseViewingAPI/Change_the_Current_Object_in_Doc.htm",l:-1,t:"Change the Current Object in a Document",i:0.026212639939859,a:"Change  the Current Object in a Document There are many Viewing parameters that control the objects in a multiple-object document. Examples of a multiple-object document  include a Microsoft Excel spreadsheet with multiple worksheets, and a Microsoft PowerPoint presentation with multiple slides. To ..."},"33":{y:0,u:"../Content/UseViewingAPI/View_Deleted_Items_Doc_Revision.htm",l:-1,t:"View Deleted Items and Document Revision Marks",i:0.0042322787484558,a:"View Deleted Items and Document  Revision Marks The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date.  If revision ..."},"34":{y:0,u:"../Content/UseViewingAPI/View_Container_Files.htm",l:-1,t:"View Container Files",i:0.00116372949688039,a:"A container file has a main file (parent) and subfiles (children) embedded in the main file. The following are examples of container files: Compressed files such as  ZIP, TAR, and RAR Mail messages such as  Outlook (MSG) and  Outlook Express (EML) Mail stores such as Microsoft Outlook Personal ..."},"35":{y:0,u:"../Content/UseViewingAPI/View_PDF_Documents.htm",l:-1,t:"View PDF Documents",i:0.00216819534628625,a:"You can view PDF files with Viewing SDK in one of three ways: View the PDF by using the Adobe Acrobat ActiveX control. View the PDF by using the Microsoft WebBrowser ActiveX control. View an image of each page of the PDF by using a graphic-based  PDF reader ( kppdfrdr or kppdf2rdr). By default, ..."},"36":{y:0,u:"../Content/UseViewingAPI/ViewPortfolioPDF.htm",l:-1,t:"View or Extract PDF Portfolio Documents",i:0.0010738043882404,a:"A PDF Portfolio is a PDF file that contains multiple documents and an Adobe Flash interface that can provide information about them and allows you to navigate to them. The subfiles are not necessarily in PDF format; the portfolio might contain a PowerPoint presentation or a word processor file.  By ..."},"37":{y:0,u:"../Content/UseViewingAPI/View_Microsoft_Visio_Files.htm",l:-1,t:"View Microsoft Visio Files",i:0.0010738043882404,a:"Microsoft Visio files are supported by different readers or components depending on the file version: Version 2013 files are supported with ActiveX components included with the free Visio 2013 viewer provided by Microsoft. Image fidelity is supported, but additional features such as highlighting are ..."},"38":{y:0,u:"../Content/UseViewingAPI/Extract_Microsoft_Excel_Formulas.htm",l:-1,t:"Extract Microsoft Excel Formulas",i:0.0010738043882404,a:"Normally, the actual value of a  formula is extracted from an Excel spreadsheet; the formula from which the value is derived is not included in the output. However, KeyView enables you to include the value as well as the formula in the output. For example, if you configure Filter to extract the ..."},"39":{y:0,u:"../Content/SamplePrograms/samples_view_api.htm",l:-1,t:"Viewing API Sample Programs",i:0.00216909158489767,a:"Viewing API Sample Programs This section describes the sample programs that demonstrate how to use the API. "},"40":{y:0,u:"../Content/SamplePrograms/Overview.htm",l:-1,t:"Overview",i:0.0010738043882404,a:"The following sample programs are provided for the Viewing API: Micro Focus recommends that you review the hellovapi program first to help you get started. It is a simple program that demonstrates the basic functions of the Viewing API. The sample programs are Windows applications, not console ..."},"41":{y:0,u:"../Content/SamplePrograms/hellovapi.htm",l:-1,t:"hellovapi",i:0.00116507832129517,a:"hellovapi is a  simple program that demonstrates how to use Viewing SDK to display documents in your application. The program creates a Windows application window, and then creates a child window that the Viewing SDK uses to display documents. The Viewing SDK is controlled by sending Windows-style ..."},"42":{y:0,u:"../Content/SamplePrograms/vapidemo.htm",l:-1,t:"vapidemo",i:0.00116507832129517,a:"The vapidemo sample program is a Windows application that demonstrates most of the functionality of the Viewing API . To start the vapidemo program, double-click the vapidemo.exe file, or type vapidemo at a DOS prompt or in the Run dialog box. Menu options in vapidemo do not adjust according to the ..."},"43":{y:0,u:"../Content/SamplePrograms/mfckv.htm",l:-1,t:"mfckv",i:0.00116507832129517,a:"The mfckv sample program is a Single Document Interface (SDI) application written with Microsoft Foundation Classes (MFC). To start the mfckv program, double-click the mfckv.exe file or enter the following command at a DOS prompt or in the Run dialog box: mfckv To open (view) a document, select Open ..."},"44":{y:0,u:"../Content/SamplePrograms/rtfdemo.htm",l:-1,t:"rtfdemo",i:0.00116507832129517,a:"The rtfdemo sample program demonstrates how to use the Viewing API to perform conversions of documents to RTF. To start the rtfdemo program, enter the following command at a DOS prompt or in the Run dialog box: rtfdemo sourcefile targetfile where  sourcefile and  targetfile include the complete path ..."},"45":{y:0,u:"../Content/SamplePrograms/prntdemo.htm",l:-1,t:"prntdemo",i:0.00125635225434995,a:"The prntdemo sample program demonstrates how to use the Viewing API to print documents to a specified printer. To start the prntdemo program, enter the following command at a DOS prompt or in the Run dialog box: prntdemo printername,printerdevice,printerport For example: prntdemo \\\\Calculus\\HP ..."},"46":{y:0,u:"../Content/SamplePrograms/filetype.htm",l:-1,t:"filetype",i:0.00116507832129517,a:"filetype The filetype sample program demonstrates how to use the Viewing API to obtain a document\u0027s type. To start the filetype program, enter the following command at a DOS prompt or in the Run dialog box: filetype file where file includes the complete path and file name."},"47":{y:0,u:"../Content/SamplePrograms/ihademo.htm",l:-1,t:"ihademo",i:0.00116507832129517,a:"The ihademo sample program is a simple Windows application that demonstrates how to index (filter ), highlight, and annotate documents. The ihademo sample program is intended for word processing documents only. You might encounter limitations if you use it with other formats. To start the ihademo ..."},"48":{y:0,u:"../Content/SamplePrograms/drawdemo.htm",l:-1,t:"drawdemo",i:0.00116507832129517,a:"The drawdemo sample program demonstrates how to draw a page of a word processing, spreadsheet, presentation, or picture file into a supplied Device Context  (thumbnail  view). The program captures the first few pages (up to MAX_PAGES_TO_DISPLAY) of the document in metafiles and later uses these ..."},"49":{y:0,u:"../Content/SamplePrograms/uzipdemo.htm",l:-1,t:"uzipdemo",i:0.00116507832129517,a:"The uzipdemo sample program demonstrates how to use the Viewing API to extract subfiles from a container file such as a ZIP archive.  To start the uzipdemo program, enter the following command at a DOS prompt or in the Run dialog box: uzipdemo sourcefile targetdirectory where sourcefile and ..."},"50":{y:0,u:"../Content/MessageParameters/messages.htm",l:-1,t:"Message Parameters",i:0.00224667494288106,a:"Message Parameters This section provides information on the message parameters in the Viewing API. It includes the following topics:"},"51":{y:0,u:"../Content/MessageParameters/VAPIM_ANNOTATE.htm",l:-1,t:"VAPIM_ANNOTATE",i:0.00736271070193357,a:"Adds and deletes annotations, and determines whether annotations exist. Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI,\n            VAPIM_ANNOTATE,\n           (WPARAM) wControl,\n           (LPARAM) (TPVAPIAnnotation*) lpAnnotation ); Arguments Returns For KV_DEL_ANNOTATION, SendMessage() returns ..."},"52":{y:0,u:"../Content/MessageParameters/VAPIM_ENABLEINDEX_.htm",l:-1,t:"VAPIM_ENABLEINDEX ",i:0.00541764596367035,a:"Enables  index-only mode, also called document filtering. This generates text buffer (VAPINM_TEXTBUFFER) notification messages with document viewing disabled. The first text buffer notification message is generated after a VAPIMWP_INIT_OPEN_DOCUMENT message is sent. To get additional text buffer ..."},"53":{y:0,u:"../Content/MessageParameters/VAPIM_GETNEXTTEXTBUFFER.htm",l:-1,t:"VAPIM_GETNEXTTEXTBUFFER",i:0.00266586660249416,a:"Gets text buffers in index-only mode . Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_GETNEXTTEXTBUFFER, 0, 0L );\n Arguments Returns SendMessage() returns TRUE if a text buffer was returned, and FALSE if there are no more text buffers in the document, that is, the end of document is ..."},"54":{y:0,u:"../Content/MessageParameters/VAPIM_GETPAGEFROMLOGICAL.htm",l:-1,t:"VAPIM_GETPAGEFROMLOGICAL ",i:0.00113085059639963,a:"Gets the page number  for a logical address . Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_GETPAGEFROMLOGICAL, 0L,\n           (LPARAM) (long) lLogicalAddress ); Arguments Returns SendMessage() returns the page number the specified logical address resides on; or -1 on error. Discussion For ..."},"55":{y:0,u:"../Content/MessageParameters/VAPIM_GETSUMMARYINFO.htm",l:-1,t:"VAPIM_GETSUMMARYINFO",i:0.00382456493621161,a:"Gets document metadata, also referred to as summary information . Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, STAT wParam,\n           (LPARAM) (*KVSummaryInfoEx) pSummaryInfo ); Arguments Returns SendMessage() returns TRUE if successful (pSummaryInfo filled in with valid information, if wParam ..."},"56":{y:0,u:"../Content/MessageParameters/VAPIM_GETTEXT.htm",l:-1,t:"VAPIM_GETTEXT ",i:0.00736271070193357,a:"Gets a text buffer  from a specified range. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_GETTEXT, 0L,\n           (LPARAM) (TPVAPIGetText*) lpGetText ); Arguments Returns SendMessage() returns the number of BYTES it stored in the buffer; or -1 on error. Discussion Send this message to ..."},"57":{y:0,u:"../Content/MessageParameters/VAPIM_GOTO_PAGE.htm",l:-1,t:"VAPIM_GOTO_PAGE ",i:0.00222524155444548,a:"If indexing is enabled on the document by using the  VAPIM_ENABLEINDEX   message, the document is displayed at the specified page.  Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_GOTO_PAGE,\n           (WPARAM)(int) nPageNumber, 0L );\n Arguments Returns SendMessage() returns TRUE if the call ..."},"58":{y:0,u:"../Content/MessageParameters/VAPIM_HAVEHILITE.htm",l:-1,t:"VAPIM_HAVEHILITE",i:0.0010738043882404,a:"Determines whether there is a Previous or Next highlight relative to the current position. Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_HAVEHILITE,\n           (WPARAM) (BOOL) bPrevious, 0L ); Arguments Returns Returns TRUE if there is a Previous or Next highlight (depending on the setting ..."},"59":{y:0,u:"../Content/MessageParameters/VAPIM_POSITION.htm",l:-1,t:"VAPIM_POSITION ",i:0.00736271070193357,a:"Positions  the document in the viewing window. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_POSITION, 0L,\n           (LPARAM) (TPVAPIPosition*) lpPosition ); Arguments Returns SendMessage() returns TRUE on success; or FALSE on error (for example, invalid position). Discussion You can use ..."},"60":{y:0,u:"../Content/MessageParameters/VAPIM_POSITIONHILITE.htm",l:-1,t:"VAPIM_POSITIONHILITE ",i:0.0010738043882404,a:"VAPIM_POSITIONHILITE Changes focus from previous to next highlight. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_POSITIONHILITE, \n           (LPARAM) (BOOL) bPrev, 0L ); Arguments Returns SendMessage() returns TRUE on success; or FALSE on error."},"61":{y:0,u:"../Content/MessageParameters/VAPIM_SETCURSOR.htm",l:-1,t:"VAPIM_SETCURSOR ",i:0.00113085059639963,a:"Sets the viewing engine cursor . Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_SETCURSOR, 0L,\n           (LPARAM) (HCURSOR) hCursor );\n Arguments Returns SendMessage() returns the handle of the active cursor (HCURSOR); or NULL on error. Discussion After sending this message to change the ..."},"62":{y:0,u:"../Content/MessageParameters/VAPIM_SETHILITE.htm",l:-1,t:"VAPIM_SETHILITE ",i:0.00113085059639963,a:"Highlights  a region of text. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_SETHILITE, \n           (WPARAM) (int) cbTextToHilite,\n           (LPARAM) (long) lLogicalAddress ); Arguments Returns SendMessage() returns non-zero on success; or zero on error. Discussion This message should be ..."},"63":{y:0,u:"../Content/MessageParameters/VAPIM_SETHILITEOPTIONS.htm",l:-1,t:"VAPIM_SETHILITEOPTIONS",i:0.00239560128192307,a:"VAPIM_SETHILITEOPTIONS Sets highlight  options. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_SETHILITEOPTIONS, \n           (LPARAM) (TPVAPIHiLiteOptions) pHiLiteOptions ); Arguments Returns SendMessage() returns TRUE on success; or FALSE on error."},"64":{y:0,u:"../Content/MessageParameters/VAPIM_SETINDEXBUFCHARSET.htm",l:-1,t:"VAPIM_SETINDEXBUFCHARSET",i:0.00113085059639963,a:"Sets the character set for the returned indexed text buffer. Syntax #include \u003ckvvapi.h\u003e\nSendMessage (g_hWndVAPI, VAPIM_SETINDEXBUFCHARSET, kvcharset, 0 ); Arguments Returns SendMessage() returns TRUE if the call succeeds. Discussion If kvcharset is KVCS_UNKNOWN, the character set of the returned ..."},"65":{y:0,u:"../Content/MessageParameters/VAPIM_SHOWHITS.htm",l:-1,t:"VAPIM_SHOWHITS ",i:0.00113085059639963,a:"Shows or hides index  hits. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_SHOWHITS, \n           (WPARAM) (BOOL) bShowHits, 0 );\n Arguments Returns SendMessage() returns TRUE on success; or FALSE on error. Discussion You can send this message  at any time to control whether hits are shown."},"66":{y:0,u:"../Content/MessageParameters/VAPIM_CONVERT.htm",l:-1,t:"VAPIM_CONVERT",i:0.0029459018423266,a:"Converts  the currently open document to another format, without requiring the user to respond to the SaveAs dialog. To generate the SaveAs dialog box, use the VAPIMWP_FILE_SAVEAS message. The TPVAPIConvert structure includes two data members, one a target file and the other a format code, which you ..."},"67":{y:0,u:"../Content/MessageParameters/VAPIMWP_CANCONVERT.htm",l:-1,t:"VAPIMWP_CANCONVERT",i:0.00215835759646914,a:"Determines whether a file can be converted to another format. This is a parameter of the VAPIM_CONVERT message.  Syntax  #include \u003ckvvapi.h\u003e\nBOOL bSupported = FALSE;\nSendMessage(hWndVAPI, VAPIM_CONVERT, VAPIMWP_CANCONVERT,\n           (LPARAM)\u0026bSupported);\n Arguments Returns If bSupported is TRUE, ..."},"68":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_DRAWPAGE.htm",l:-1,t:"VAPIMWP_DRAW_DRAWPAGE ",i:0.00337250726685919,a:"Draws a page in an area on a device context . This is a parameter of the VAPIM_DRAW message.  Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI,VAPIM_DRAW, VAPIMWP_DRAW_DRAWPAGE,\n           (LPARAM) (TPVAPIDrawPageInfo*) pDrawInfo ); Arguments Returns SendMessage() returns: VAPI_RETURN_SUCCESS if the ..."},"69":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_DRAWTOFILE.htm",l:-1,t:"VAPIMWP_DRAW_DRAWTOFILE",i:0.00257465782436175,a:"Draws a page of a document to a graphic file (thumbnail).  This is a parameter of the VAPIM_DRAW message.  Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI,VAPIM_DRAW, VAPIMWP_DRAW_DRAWTOFILE,\n           (LPARAM) (TPVAPIDrawFileInfo*) pDrawInfo ); Arguments Returns SendMessage() returns: ..."},"70":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_GETPAGECOUNT.htm",l:-1,t:"VAPIMWP_DRAW_GETPAGECOUNT ",i:0.00188575574754005,a:"Gets the number of pages  in a document. This is a parameter of the VAPIM_DRAW message.  Syntax  #include \u003ckvvapi.h\u003e\nSendMessage( hWndVAPI, VAPIM_DRAW, VAPIMWP_DRAW_GETPAGECOUNT,\n           (LPARAM) (unsigned int*) pPageCount );\n Arguments Returns SendMessage() returns TRUE if the call succeeds, in ..."},"71":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_GETPAGESIZE.htm",l:-1,t:"VAPIMWP_DRAW_GETPAGESIZE ",i:0.00341542901418026,a:"Gets the default size of a page.  This is a parameter of the VAPIM_DRAW message.  Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_DRAW, VAPIMWP_DRAW_GETPAGESIZE,\n           (LPARAM) (TPVAPIPageSize*) pPageSize ); Arguments Returns SendMessage() returns: VAPI_RETURN_SUCCESS if the call ..."},"72":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_GETWORKBOOKPAGECOUNT.htm",l:-1,t:"VAPIMWP_DRAW_GETWORKBOOKPAGECOUNT",i:0.0010738043882404,a:"Gets the number of workbook  pages in a spreadsheet document. This is a parameter of the VAPIM_DRAW message. Syntax  #include \u003ckvvapi.h\u003e;\nSendMessage( hWndVAPI, VAPIM_DRAW,\n            VAPIMWP_DRAW_GETWORKBOOKPAGECOUNT,\n           (LPARAM) (unsigned int*) pPageCount ); Arguments Returns ..."},});